Register and Renew Domains
View as MarkdownAuthorization
bearerAuth Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .
In: header
Query Parameters
list of TLDs whose legal agreements are to be retrieved
Whether or not privacy has been requested
Whether or not domain tranfer has been requested
Header Parameters
Unique identifier of the Market used to retrieve/translate Legal Agreements
bcp-47"en-US"Response Body
curl -X GET "https://example.com/v1/domains/agreements?tlds=string&v1-privacy=true"[ { "agreementKey": "string", "content": "string", "title": "string", "url": "string" }]Authorization
bearerAuth Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .
In: header
Header Parameters
Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account.
An instance document expected to match the JSON schema returned by ./schema/{tld}
Response Body
curl -X POST "https://example.com/v1/domains/purchase" \ -H "Content-Type: application/json" \ -d '{ "consent": { "agreedAt": "string", "agreedBy": "string", "agreementKeys": [ "string" ] }, "domain": "string" }'{ "currency": "USD", "itemCount": 0, "orderId": 0, "total": 0}Authorization
bearerAuth Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .
In: header
Path Parameters
The Top-Level Domain whose schema should be retrieved
Response Body
curl -X GET "https://example.com/v1/domains/purchase/schema/string"{ "id": "string", "models": [ {} ], "properties": [ { "defaultValue": "string", "format": "string", "items": [ { "format": "string", "pattern": "string", "type": "string" } ], "maxItems": 0, "maximum": 0, "minItems": 0, "minimum": 0, "pattern": "string", "required": true, "type": "string" } ], "required": [ "string" ], "type": "object"}Authorization
bearerAuth Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .
In: header
An instance document expected to match the JSON schema returned by ./schema/{tld}
Response Body
curl -X POST "https://example.com/v1/domains/purchase/validate" \ -H "Content-Type: application/json" \ -d '{ "consent": { "agreedAt": "string", "agreedBy": "string", "agreementKeys": [ "string" ] }, "domain": "string" }'Authorization
bearerAuth Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .
In: header
Response Body
curl -X GET "https://example.com/v1/domains/tlds"[ { "name": "string", "type": "COUNTRY_CODE" }]Authorization
bearerAuth Personal Access Token (PAT). Generate one from the developer dashboard. Pass as: Authorization: Bearer .
In: header
Path Parameters
Domain to renew
Header Parameters
Shopper ID which owns the domain. NOTE: This is only required if you are a Reseller managing a domain purchased outside the scope of your reseller account.
Options for renewing existing Domain
Response Body
curl -X POST "https://example.com/v1/domains/string/renew" \ -H "Content-Type: application/json" \ -d '{}'{ "currency": "USD", "itemCount": 0, "orderId": 0, "total": 0}Agent & Automation Notes
domains.domain:read, domains.domain:create, domains.domain:delete, domains.domain:update, domains.contact:update, domains.dns:update, domains.transfer:executeRelated
Last updated on
How is this guide?